<?php
namespace Magento\LayeredNavigation\Block\Navigation\State;

/**
 * Interceptor class for @see \Magento\LayeredNavigation\Block\Navigation\State
 */
class Interceptor extends \Magento\LayeredNavigation\Block\Navigation\State implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Catalog\Model\Layer\Resolver $layerResolver, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $layerResolver, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getClearUrl()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getClearUrl');
        return $pluginInfo ? $this->___callPlugins('getClearUrl', func_get_args(), $pluginInfo) : parent::getClearUrl();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
